import path from 'path';
import fs from 'fs';
import { fileIsExist } from './config.ts';

export type Opts = {
  /** 检查是否需要 */
  needExists: boolean;
};
export const useFileStore = (str: string, opts?: Opts): string => {
  const publicPath = process.cwd();
  const filePath = path.join(publicPath, str);
  if (opts?.needExists) {
    if (!fileIsExist(filePath)) {
      fs.mkdirSync(filePath, { recursive: true });
    }
  }
  return filePath;
};

export const usePublicStore = () => {
  return useFileStore('public', { needExists: true });
};
