import fs from 'fs';
import type { App } from './read-app-schema.ts';
import { getConfigFile } from './config.ts';

export const getPkgs = () => {
  const configFile = getConfigFile('package.json');
  if (!configFile) {
    console.error('配置文件不存在');
    return {};
  }
  const config = JSON.parse(fs.readFileSync(configFile, 'utf-8'));
  return config;
};
export type { App };
export const getApp = (): App => {
  const config = getPkgs();
  return config.app || {};
};
